aagc.vo

## Class ElencoStrutturePianoTerapeuticoRequest

- java.lang.Object
- - aagc.vo.ElencoStrutturePianoTerapeuticoRequest

-     public class ElencoStrutturePianoTerapeuticoRequest
      extends java.lang.Object

  Classe Java per elencoStrutturePianoTerapeuticoRequest complex type.

  Il seguente frammento di schema specifica il contenuto previsto contenuto in questa classe.

       <complexType name="elencoStrutturePianoTerapeuticoRequest">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="meseRiferimento">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}int">
                     <maxInclusive value="12"/>
                     <minInclusive value="1"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="annoRiferimento">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}int">
                     <maxInclusive value="2999"/>
                     <minInclusive value="1960"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="asl" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <length value="6"/>
                     <pattern value="[0-9]*"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="codStruttura" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <length value="6"/>
                     <pattern value="[0-9]*"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="nomeStruttura" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `annoRiferimento`
    `protected java.lang.String` | `asl`
    `protected java.lang.String` | `codStruttura`
    `protected int` | `meseRiferimento`
    `protected java.lang.String` | `nomeStruttura`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ElencoStrutturePianoTerapeuticoRequest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getAnnoRiferimento()` Recupera il valore della proprietà annoRiferimento.
    `java.lang.String` | `getAsl()` Recupera il valore della proprietà asl.
    `java.lang.String` | `getCodStruttura()` Recupera il valore della proprietà codStruttura.
    `int` | `getMeseRiferimento()` Recupera il valore della proprietà meseRiferimento.
    `java.lang.String` | `getNomeStruttura()` Recupera il valore della proprietà nomeStruttura.
    `void` | `setAnnoRiferimento(int value)` Imposta il valore della proprietà annoRiferimento.
    `void` | `setAsl(java.lang.String value)` Imposta il valore della proprietà asl.
    `void` | `setCodStruttura(java.lang.String value)` Imposta il valore della proprietà codStruttura.
    `void` | `setMeseRiferimento(int value)` Imposta il valore della proprietà meseRiferimento.
    `void` | `setNomeStruttura(java.lang.String value)` Imposta il valore della proprietà nomeStruttura.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### meseRiferimento

          protected int meseRiferimento

    - #### annoRiferimento

          protected int annoRiferimento

    - #### asl

          protected java.lang.String asl

    - #### codStruttura

          protected java.lang.String codStruttura

    - #### nomeStruttura

          protected java.lang.String nomeStruttura

  - ### Constructor Detail

    - #### ElencoStrutturePianoTerapeuticoRequest

          public ElencoStrutturePianoTerapeuticoRequest()

  - ### Method Detail

    - #### getMeseRiferimento

          public int getMeseRiferimento()

      Recupera il valore della proprietà meseRiferimento.

    - #### setMeseRiferimento

          public void setMeseRiferimento(int value)

      Imposta il valore della proprietà meseRiferimento.

    - #### getAnnoRiferimento

          public int getAnnoRiferimento()

      Recupera il valore della proprietà annoRiferimento.

    - #### setAnnoRiferimento

          public void setAnnoRiferimento(int value)

      Imposta il valore della proprietà annoRiferimento.

    - #### getAsl

          public java.lang.String getAsl()

      Recupera il valore della proprietà asl.
      Returns:
        possible object is `String`

    - #### setAsl

          public void setAsl(java.lang.String value)

      Imposta il valore della proprietà asl.
      Parameters:
        `value` - allowed object is `String`

    - #### getCodStruttura

          public java.lang.String getCodStruttura()

      Recupera il valore della proprietà codStruttura.
      Returns:
        possible object is `String`

    - #### setCodStruttura

          public void setCodStruttura(java.lang.String value)

      Imposta il valore della proprietà codStruttura.
      Parameters:
        `value` - allowed object is `String`

    - #### getNomeStruttura

          public java.lang.String getNomeStruttura()

      Recupera il valore della proprietà nomeStruttura.
      Returns:
        possible object is `String`

    - #### setNomeStruttura

          public void setNomeStruttura(java.lang.String value)

      Imposta il valore della proprietà nomeStruttura.
      Parameters:
        `value` - allowed object is `String`